List sync job run states
GET
/sync-job-run-state
Query Parameters
state_keystring
required·
The state_key attribute found in a sync job run and defined in the sync job. Used as a namespace for the states.
Example:
sync_job_123Response Body
resultobject[]
created_atstring · date-time
Timestamp when the state was created.
Example:
2023-01-01T10:00:00.000Zkeystring
The key identifier for this state.
Example:
last_processed_idsync_job_run_idstring · uuid
The ID of the sync job run this state is associated with (optional).
Example:
4a4de828-f4db-4c9e-adfd-434e0864c3c7updated_atstring · date-time
Timestamp when the state was last updated.
Example:
2023-01-02T10:00:00.000Zvaluestring
The state value stored.
Example:
eyJpZCI6IjEyMzQ1IiwidGltZXN0YW1wIjoiMjAyMy0wMS0wMVQwMDowMDowMFoifQ==curl -X GET 'https://api.truto.one/sync-job-run-state' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/sync-job-run-state', {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/sync-job-run-state"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.get(url, headers=headers, params=params)
print(response.json())